#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
    //ENVIRONMENT
    ofBackground(0);
    //VARIABLES
    for(int i=0;i<N_TRIANGLES;i++){
        funkyTri[i].posX1=ofRandomWidth();
        funkyTri[i].posY1=ofRandomHeight();
        funkyTri[i].posX2=ofRandomWidth();
        funkyTri[i].posY2=ofRandomHeight();
        funkyTri[i].speedX1=ofRandom(-2,2);
        funkyTri[i].speedY1=ofRandom(-2,2);
        funkyTri[i].speedX2=ofRandom(-2,2);
        funkyTri[i].speedY2=ofRandom(-2,2);
    }
}

//--------------------------------------------------------------
void ofApp::update(){
    for(int i=0;i<N_TRIANGLES;i++){
        funkyTri[i].posX1+=funkyTri[i].speedX1;
        funkyTri[i].posY1+=funkyTri[i].speedY1;
        funkyTri[i].posX2+=funkyTri[i].speedX2;
        funkyTri[i].posY2+=funkyTri[i].speedY2;
        //check if posX is going out of left side of the screen (0) or right (ofGetWidth).
        //if it is, invert the sign of the speed (multiply the speed by -1).
        if(funkyTri[i].posX1<0 || funkyTri[i].posX1>ofGetWidth()) funkyTri[i].speedX1*=-1;
        if(funkyTri[i].posY1<0 || funkyTri[i].posY1>ofGetHeight()) funkyTri[i].speedY1*=-1;
        if(funkyTri[i].posX2<0 || funkyTri[i].posX2>ofGetWidth()) funkyTri[i].speedX2*=-1;
        if(funkyTri[i].posY2<0 || funkyTri[i].posY2>ofGetHeight()) funkyTri[i].speedY2*=-1;
    }
}

//--------------------------------------------------------------
void ofApp::draw(){
    for(int i=0;i<N_TRIANGLES;i++){
        ofSetColor(255,127,0,20);
        ofDrawTriangle(funkyTri[i].posX1, funkyTri[i].posY1, funkyTri[i].posX2, funkyTri[i].posY2, mouseX, mouseY);
    }
}

//--------------------------------------------------------------
void ofApp::keyPressed(int key){
    
}

//--------------------------------------------------------------
void ofApp::keyReleased(int key){
    
}

//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y ){
    
}

//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){
    
}

//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){
    
}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){
    
}

//--------------------------------------------------------------
void ofApp::mouseEntered(int x, int y){
    
}

//--------------------------------------------------------------
void ofApp::mouseExited(int x, int y){
    
}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){
    
}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){
    
}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){
    
}
